import { FileEditor } from './FileEditor';
/**
 * Media file editor.
 **/
export declare class MediaFileEditor extends FileEditor {
    constructor(props: any, context: any);
    protected getValuePath(): string;
    protected getDescriptorType(): string;
    protected getAcceptExtensions(): string;
}
